Search stream messages by subject pattern
curl --request GET \
--url https://api.quiva.ai/storage/streams/{stream}/search-by-subject \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/storage/streams/{stream}/search-by-subject"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/storage/streams/{stream}/search-by-subject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"body": {
"results": [
{
"subject": "events.user.login",
"value": "{\"user_id\":\"usr_abc123\",\"timestamp\":\"2024-03-15T14:30:00Z\"}",
"created": "2024-03-15T14:30:00Z"
},
{
"subject": "events.user.logout",
"value": "{\"user_id\":\"usr_abc123\",\"timestamp\":\"2024-03-15T16:45:00Z\"}",
"created": "2024-03-15T16:45:00Z"
},
{
"subject": "events.user.profile_update",
"value": "{\"user_id\":\"usr_def456\",\"field\":\"email\",\"timestamp\":\"2024-03-15T17:00:00Z\"}",
"created": "2024-03-15T17:00:00Z"
}
],
"results_total": 3
},
"metadata": {
"stream": "user-events",
"search": "events.user.*",
"hits": 3,
"duration": "8ms"
}
}Stream Search
Search stream messages by subject pattern
Searches for stream messages by subject pattern
GET
/
storage
/
streams
/
{stream}
/
search-by-subject
Search stream messages by subject pattern
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Name of the stream
Query Parameters
Subject pattern to search for (supports wildcards)
Maximum number of results to return
Required range:
1 <= x <= 1000⌘I